import request from '@/utils/request'

// 查询期刊列表列表
export function listMag(query) {
  return request({
    url: '/base/mag/list',
    method: 'get',
    params: query
  })
}

// 查询期刊列表详细
export function getMag(id) {
  return request({
    url: '/base/mag/' + id,
    method: 'get'
  })
}

// 新增期刊列表
export function addMag(data) {
  return request({
    url: '/base/mag',
    method: 'post',
    data: data
  })
}

// 修改期刊列表
export function updateMag(data) {
  return request({
    url: '/base/mag',
    method: 'put',
    data: data
  })
}

// 删除期刊列表
export function delMag(id) {
  return request({
    url: '/base/mag/' + id,
    method: 'delete'
  })
}
